Package com.smartgwt.client.types

# Enum FieldAppearance

java.lang.Object
java.lang.Enum<FieldAppearance>
com.smartgwt.client.types.FieldAppearance

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<FieldAppearance>`, `Constable`

public enum FieldAppearance extends Enum<FieldAppearance> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DISABLED`
  Disable field
  `HIDDEN`
  Hide field
  `READONLY`
  Show in read-only appearance

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static FieldAppearance`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FieldAppearance[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### READONLY

    public static final FieldAppearance READONLY
    Show in read-only appearance

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "readOnly".

  - ### HIDDEN

    public static final FieldAppearance HIDDEN
    Hide field

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hidden".

  - ### DISABLED

    public static final FieldAppearance DISABLED
    Disable field

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "disabled".

- ## Method Details

  - ### values

    public static FieldAppearance[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FieldAppearance valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`